#include "main.h"

int records[NUM_LEVELS+1];

void loadrecords()
{	
	int i;
	FILE *fp;
	fp = fopen("save.sav", "r");
	if(!fp) // if file doesn't exist we don't have a save file, setup some defaults and save out
	{
		for(i=0; i<NUM_LEVELS; i++)
		{		
			records[i] = INT_MAX;
		}
		records[NUM_LEVELS] = 0;
		saverecords();
	} else
	{
		for(i=0; i<NUM_LEVELS+1; i++)
			fread (&records[i], sizeof(int), 1, fp);
		fclose(fp);
	}	
}

void saverecords()
{
	int i;
	FILE *fp;
	fp = fopen("save.sav", "w");
	if(fp)
	{
		for(i=0; i<NUM_LEVELS+1; i++)
			fwrite(&records[i], sizeof(int), 1, fp);
		fclose(fp);
	}		
}

void recordrecord(int time)
{
	if(time < records[currentlevel])
	{
		records[currentlevel] = time;
		saverecords();
	}
}

void recordsurvival(int time)
{
	if(time > records[NUM_LEVELS])
	{
		records[NUM_LEVELS] = time;
		saverecords();
	}
}
